## CamelIMAPXFolder CamelIMAPXFolder |

## Synopsis

    struct              CamelIMAPXFolder;
    CamelFolder *       camel_imapx_folder_new              (CamelStore *parent,
                                                             const gchar *path,
                                                             const gchar *raw,
                                                             GError **error);

## Properties

      "apply-filters"            gboolean              : Read / Write

## Description

## Details

### struct CamelIMAPXFolder

    struct CamelIMAPXFolder {
    	CamelOfflineFolder parent;

    	gchar *raw_name;
    	CamelDataCache *cache;
    	CamelFolderSearch *search;

    	guint32 exists_on_server;
    	guint32 unread_on_server;
    	guint64 modseq_on_server;
    	guint64 uidvalidity_on_server;
    	guint32 uidnext_on_server;

    	/* hash table of UIDs to ignore as recent when updating folder */
    	GHashTable *ignore_recent;

    	GMutex *search_lock;
    	GMutex *stream_lock;

    	gboolean apply_filters;		/* persistent property */
    };

### camel_imapx_folder_new ()

    CamelFolder *       camel_imapx_folder_new              (CamelStore *parent,
                                                             const gchar *path,
                                                             const gchar *raw,
                                                             GError **error);

## Property Details

### The `"apply-filters"` property

      "apply-filters"            gboolean              : Read / Write

Apply message _filters to this folder.

Default value: FALSE